@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap");
body {
  line-height: 1.5;
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  overflow-x: hidden;
}

* {
  margin: 0;
  box-sizing: border-box;
}

:before,
:after {
  box-sizing: border-box;
}

.container {
  max-width: 1200px;
  margin: auto;
}

.mainrow {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.v-center {
  align-items: center;
}

.container ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none;
}

.table tr th {
  background-color: rgb(143, 0, 0) !important;
  color: white !important;
}

table tr {
  height: 50px;
  vertical-align: middle;
}

.table tbody tr:hover td {
  /*background-color: #ff0000;*/
  background-color: #d3d3d3;
}

.horizontal-line {
  max-width: 1200px;
  margin: 0 auto;
  border-top: 1px solid #4b4b4b;
  margin-top: 30px;
  margin-bottom: 30px;
}

/* header */

.header {
  display: block;
  width: 100%;
  position: fixed;
  z-index: 99;
  padding: 10px;
  background-color: #ffffff;
}

.header .item-left {
  flex: 0 0 17%;
}

.header .logo {
  display: flex;
  justify-content: center;
  align-items: center;
}

.header .logo a img {
  width: 320px;
}

.header .item-center {
  flex: 0 0 55%;
}

.header .item-right {
  flex: 0 0 10%;
  display: flex;
  justify-content: flex-end;
}

.header .item-right a {
  text-decoration: none;
  font-size: 16px;
  color: #555555;
  display: inline-block;
  margin-left: 10px;
  transition: color 0.3s ease;
}

.header .menu > ul > li {
  display: inline-block;
  line-height: 50px;
  margin-left: 25px;
}

.header .menu > ul > li > a {
  font-size: 15px;
  font-weight: 500;
  color: #000000;
  position: relative;
  text-transform: capitalize;
  transition: color 0.3s ease;
}

.header .menu > ul > li .sub-menu {
  position: absolute;
  z-index: 500;
  background-color: #ffffff;
  box-shadow: -2px 2px 70px -25px rgba(0, 0, 0, 0.3);
  padding: 20px 30px;
  transition: all 0.5s ease;
  margin-top: 25px;
  opacity: 0;
  visibility: hidden;
}

@media (min-width: 1200px) {
  .header .menu > ul > li.menu-item-has-children:hover .sub-menu {
    margin-top: 0;
    visibility: visible;
    opacity: 1;
  }
}

.header .menu > ul > li .sub-menu > ul > li {
  line-height: 1;
}

.header .menu > ul > li .sub-menu > ul > li > a {
  display: inline-block;
  padding: 10px 0;
  font-size: 15px;
  color: #555555;
  transition: color 0.3s ease;
  text-decoration: none;
  text-transform: capitalize;
}

.header .menu > ul > li .single-column-menu {
  min-width: 280px;
  max-width: 350px;
}

.header .menu > ul > li .sub-menu.mega-menu > .list-item > ul {
  padding-right: 5px;
  display: inline-block;
  margin: 5px 0;
}

.header .menu > ul > li .sub-menu.mega-menu > .list-item > ul > li {
  line-height: 1;
  display: block;
}

.header .menu > ul > li .sub-menu.mega-menu > .list-item > ul > li > a {
  padding: 10px 0;
  display: inline-block;
  font-size: 15px;
  color: #555555;
  transition: color 0.3s ease;
}

.header .menu > ul > li .sub-menu.mega-menu {
  left: 50%;
  transform: translateX(-50%);
}

.header .menu > ul > li .sub-menu.mega-menu-column-4 {
  max-width: 1300px;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  padding: 20px 15px;
}

.header .menu > ul > li .sub-menu.mega-menu-column-4 > .list-item {
  flex: 0 0 10%;
  padding: 0 10px;
}

.header .menu > ul > li .sub-menu.mega-menu-column-4 > .list-item .title {
  font-size: 12px;
  color: #ea4636;
  font-weight: 500;
  line-height: 1;
  padding: 10px 0;
  height: 60px;
  border-bottom: 1px solid gray;
}

.header .menu > ul > li .sub-menu.mega-menu-column-4 > .list-item.text-center .title {
  text-align: center;
}

.header .menu > ul > li .sub-menu.mega-menu-column-4 > .list-item img {
  max-width: 100%;
  width: 40px;
  vertical-align: middle;
  margin-top: 10px;
}

.header .menu > ul > li .sub-menu.mega-menu > .list-item > ul > li > a:hover,
.header .menu > ul > li .sub-menu > ul > li > a:hover,
.header .item-right a:hover,
.header .menu > ul > li:hover > a {
  color: #ea4636;
}

.mobile-menu-head,
.mobile-menu-trigger {
  display: none;
}

/* Footer */

.footer {
  /* background-color: #24262b; */
  background-color: rgb(143, 0, 0);
  padding: 70px 0;
}

.footer-col {
  width: 25%;
  padding: 0 15px;
}

.footer-col h4 {
  font-size: 18px;
  color: #ffffff;
  text-transform: capitalize;
  margin-bottom: 35px;
  font-weight: 500;
  position: relative;
}

.footer-col h4::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: -10px;
  /* background-color: #e91e63; */
  background-color: #ff5e00;
  height: 2px;
  box-sizing: border-box;
  width: 50px;
}

.footer-col ul li:not(:last-child) {
  margin-bottom: 10px;
}

.footer-col ul li a {
  font-size: 16px;
  text-transform: capitalize;
  color: #ffffff;
  text-decoration: none;
  font-weight: 300;
  color: #bbbbbb;
  display: block;
  transition: all 0.3s ease;
}

.footer-col ul li a:hover {
  color: #ffffff;
  padding-left: 8px;
}

.footer-col .contact-links a {
  display: inline-block;
  height: 40px;
  width: 40px;
  text-align: center;
  line-height: 40px;
  background-color: rgba(255, 255, 255, 0.2);
  margin: 0 10px 10px 0;
  border-radius: 50%;
  color: #ffffff;
  transition: all 0.5s ease;
}

.footer-col .contact-links a i {
  display: inline-block;
  line-height: 40px;
}

.footer-col .contact-links a:hover {
  color: #24262b;
  background-color: #ffffff;
}

.public-footer {
  /* position: fixed; */
  bottom: 0;
  background: #353333;
  text-align: center;
  height: 50px;
  width: 100%;
  color: #fff;
  line-height: 50px;
}

.public-footer .textfooter {
  font-size: small;
}

@media (max-width: 767px) {
  .footer-col {
    width: 50%;
    margin-bottom: 30px;
  }
}

@media (max-width: 574px) {
  .footer-col {
    width: 100%;
  }
}

/*banner*/

.public-banner {
  text-align: center;
  position: relative;
  height: 473px;
  overflow: hidden;
  padding-top: 70px;
  /* background-color: #818282; */
}

.textbanner {
  /* position: absolute;
    top: 20%;
    left: 30%;
    transform: translate(-50%, -50%);
    z-index: 10;
    color: #ffffffe7;
    text-align: left;
    border: 1px solid; */
}

.textbanner {
  width: 100%;
  position: absolute;
  top: 90px;
  z-index: 2;
  display: flex;
  justify-content: center;
  padding-left: 15px;
  color: #ffffffe7;
  /* border: 1px solid; */
}

.textbanner-text {
  /* width: 77%; */
  width: 1200px;
  text-align: left;
  /* border: 1px solid #000; */
}

.title-banner {
  font-size: 50px;
  font-weight: bold;
}

.public-banner .bd {
  position: relative;
  z-index: 0;
}

/* .public-banner .bd ul {} */

.public-banner .bd ul li {
  height: 100%;
}

.public-banner .hd {
  position: absolute;
  bottom: 20px;
  left: 50%;
  z-index: 1;
  width: 300px;
  margin-left: -150px;
  height: 30px;
  line-height: 30px;
  text-align: center;
  filter: alpha(opacity=90);
  opacity: 0.9;
}

.public-banner .hd ul {
  text-align: center;
  padding-top: 2px;
}

.public-banner .hd ul li {
  cursor: pointer;
  display: inline-block;
  /* display: inline; */
  zoom: 1;
  width: 16px;
  height: 16px;
  margin: 5px;
  background: url(../images/slide_nav_icon.png) 0 0;
  overflow: hidden;
  font-size: 0;
  opacity: 0.6;
}

.public-banner .hd ul li.on {
  background: url(../images/slide_nav_this.png) 0 0;
  width: 21px;
  height: 21px;
  margin: 2px;
  opacity: 1;
}

.public-banner a.prev {
  background: url(../images/slide_left.png) 0 0 no-repeat;
  width: 64px;
  height: 64px;
  position: absolute;
  left: 120px;
  top: 50%;
  margin-top: -32px;
}

.public-banner a.next {
  background: url(../images/slide_right.png) 0 0 no-repeat;
  width: 64px;
  height: 64px;
  position: absolute;
  right: 120px;
  top: 50%;
  margin-top: -32px;
}

.public-banner .text {
  width: 100%;
  height: 200px;
  position: relative;
  margin-top: 200px;
  text-align: right;
}

.public-banner .text.tl {
  text-align: left;
}

.public-banner .text .text-pic {
  position: absolute;
  right: 220px;
  top: 0;
  width: 500px;
}

.public-banner .text .text-pic-left {
  position: absolute;
  left: 180px;
  top: 0;
  width: 500px;
}

.public-banner .text .top80 {
  top: 80px;
}

.public-banner .text .top140 {
  top: 140px;
}

/*.public-banner .prev,.public-banner .next{ z-index:1; display:block; width:55px; height:55px; position:relative; margin:-27% 0 0 3%; float:left;  background:url(../images/arrow.png) 0 0 no-repeat; filter:alpha(opacity=40);opacity:0.4  }
.fullSlide .next{  background-position:right 0; float:right; margin-right:3%  }
.fullSlide .prev:hover,.fullSlide .next:hover{ filter:alpha(opacity=80);opacity:0.8 }*/

/*local*/

.public-local {
  position: relative;
  height: 50px;
  margin-bottom: 20px;
  line-height: 50px;
  top: -53px;
  background-color: #e6e6e6de;
}

.public-local a {
  color: #020202;
}

/* Home Pages */

.homedesc {
  background-color: #ffffff;
  padding: 40px 0 20px 0;
  display: flex;
  justify-content: space-between;
}

@media (min-width: 1200px) {
  .homedesc {
    margin-top: -95px;
  }
}

.desccontainer {
  max-width: 1200px;
  margin: auto;
  display: flex;
  justify-content: space-between;
}

.homedesc .leftGrid {
  width: 70%;
  height: 100%;
  z-index: 10;
  padding: 30px;
  background-color: white;
}

.homedesc .rightGrid {
  width: 25%;
  z-index: 10;
}

.homedesc .desccontainer .deskripsi {
  text-align: justify;
}

.homedesc .desccontainer .deskripsi a {
  margin-top: 15px;
  padding: 10px;
  display: block;
  color: #ffffff;
  background-color: #690900;
  width: 175px;
}

.homedesc .desccontainer .deskripsi a:hover {
  color: #a3a3a3;
  background-color: #a00000;
}

/*Client*/

.clientcontainer {
  text-align: justify;
  margin-top: 30px;
}

.clientcontainer .title {
  margin-bottom: 15px;
  font-size: 28px;
  font-weight: bold;
  color: #690900;
}

.clientcontainer p {
  margin-bottom: 30px;
  color: #000000;
}

.client-logos {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
}

.client-logo {
  max-height: 50px;
  margin: 10px;
  object-fit: contain;
}

.many-more {
  width: 100%;
  text-align: left;
  margin-top: 20px;
  margin-bottom: 20px;
}

.many-more p {
  font-size: 1.2em;
  color: #690900;
  font-weight: bold;
}

.flag-counter {
  padding: 10px;
  margin-bottom: 25px;
  border-radius: 10px;
  border: 1px solid #cccccc;
}

/* Product-list */

.homeproduct h2 {
  margin-top: 20px;
  font-size: 28px;
  font-weight: bold;
  color: #690900;
}

.product-list {
  display: flex;
  width: 100%;
}

.product-names {
  flex: 30;
  /* Ubah dari flex: 1 menjadi flex: 30 */
  padding: 20px 10px 0 0;
  background-color: #ffffff;
  border-right: 1px solid #ccc;
  width: 30%;
  /* Tambahkan width: 30% */
  box-sizing: border-box;
  /* Agar padding tidak mempengaruhi lebar total */
}

.product-names ul {
  list-style: none;
  padding: 0;
}

.product-names li {
  display: flex;
  align-items: center;
  /* Mengatur konten secara vertikal di tengah */
  cursor: pointer;
  margin-bottom: 10px;
  transition: background-color 0.3s;
  border-bottom: 1px solid #ddd;
}

.product-names li img {
  width: 40px;
  height: 40px;
  margin-right: 10px;
}

.product-names li:hover {
  background-color: #ddd;
  text-decoration: underline;
}

.product-names li.active {
  background-color: #e7e7e7;
}

.product-description {
  display: block;
  padding: 10px;
  background-color: #f3f3f3e5;
  width: 70%;
  margin: 0 auto;
  position: relative;
}

.product-description a {
  margin-top: 15px;
  padding: 10px;
  display: block;
  color: #ffffff;
  background-color: #690900;
  width: 100px;
  position: absolute;
  top: 0;
  right: 0;
}

.product-description a:hover {
  color: #a3a3a3;
  background-color: #a00000;
}

.product-description h2 {
  margin-bottom: 10px;
  clear: both;
}

.product-description p {
  width: 100%;
  margin-bottom: 15px;
  text-align: justify;
  margin-right: 20px;
}

.product-description iframe {
  width: 384px;
  height: 216px;
  margin: 0 auto;
  display: block;
}

.product-description img {
  width: 384px;
  height: 216px;
  margin: 0 auto;
  display: block;
}

/* partner */

.partnercontainer {
  text-align: center;
  margin: 30px 0 30px 0;
  height: auto;
}

.partnercontainer .title {
  font-size: 28px;
  font-weight: bold;
  color: #690900;
}

.partnercontainer .partner-logos {
  margin-top: 30px;
}

.partnercontainer .partner-logos img {
  width: auto;
  height: 70px;
  margin: 10px;
  vertical-align: middle;
}

/* company pages */

.ourcompanycontainer {
  text-align: center;
  margin-top: 40px;
  height: 300px;
}

.title {
  font-size: 24px;
}

.company-logos {
  margin-top: 30px;
}

.company-logos > a > img {
  width: 300px;
  margin: 10px;
}

.company .companycontainer {
  display: flex;
  justify-content: space-between;
}

.company .companycontainer .company-table {
  width: 25%;
}

.company .companycontainer .companydesc {
  width: 70%;
  height: 100%;
  text-align: justify;
  /* margin: 20px; */
  margin-top: 20px;
}

.company .companycontainer .companydesc h2 {
  font-size: 24px;
  /* margin: 0 5px 10px 0; */
}

/* .company .companycontainer .companydesc .deskripsiperusahaan {
     margin: 10px 0 0 10px; 
} */

.company .companycontainer .companydesc .listdesc {
  list-style: decimal;
  padding-left: 20px;
}

.visimisi {
  margin: 20px 0 20px 0;
  background-color: #e6e6e6e5;
}

.visimisi .companyvisimisi {
  height: 300px;
  display: grid;
  padding: 35px 0 35px 0;
  text-align: center;
  align-items: center;
}

.visimisi .companyvisimisi h3 {
  font-size: 24px;
  margin: 10px;
}

/* Contact pages */

.contactcontainer {
  display: flex;
  justify-content: space-between;
}

.contactcontainer .contact-base {
  height: 400px;
  width: 500px;
  font-size: 24px;
}

.contactcontainer .contact-base img {
  display: block;
  margin-bottom: 20px;
}

.contactcontainer .contact-base a {
  display: block;
  font-weight: bold;
  font-family: "Times New Roman", Times, serif;
  font-size: large;
  color: #555555;
  margin-top: 7px;
}

.contactcontainer .contact-table {
  width: 300px;
}

.contactcontainer .contact-table iframe {
  max-width: 300px;
  max-height: 300px;
}

.contact {
  width: 100%;
  overflow: hidden;
  padding-bottom: 30px;
  clear: both;
}

.contact ul {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.contact ul li {
  width: 300px;
  float: left;
  color: #666;
  line-height: 30px;
  align-items: center;
  margin: 30px;
}

.contact ul li div.bor-bottom {
  border-bottom: 6px solid #f1f1f1;
}

/* Support Pages */

.supportcontent {
  display: flex;
  justify-content: space-between;
  margin-bottom: 30px;
}

.supportcontent .leftGrid {
  width: 70%;
  height: 100%;
}

.supportcontent .leftGrid .supportdesc {
  height: 100%;
}

.supportcontent .leftGrid .supportdesc h2 {
  font-size: 24px;
  color: #690900;
}

.supportcontent .leftGrid .supportdesc h3 {
  font-size: 18px;
  color: #d43426;
}

.supportcontent .leftGrid .supportdesc p {
  text-align: justify;
}

.supportcontent .leftGrid .trainings {
  height: auto;
  margin: 30px 0 10px 0;
}

.supportcontent .leftGrid .trainings h2 {
  font-size: 24px;
  color: #690900;
}

.supportcontent .leftGrid .trainings h3 {
  font-size: 18px;
  color: #d43426;
}

.supportcontent .leftGrid .trainings p {
  text-align: justify;
}

.supportcontent .rightGrid {
  width: 25%;
}

/* Product */

.bannerproduct {
  position: relative;
  background-color: #ffffff;
  padding-top: 70px;
  padding-bottom: 17px;
  margin-bottom: 20px;
}

.bannerproduct img {
  width: 100%;
  height: 473px;
  object-fit: cover;
}

.breadcrumb {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  background-color: rgba(211, 211, 211, 0.788);
  padding: 10px;
}

.breadcrumb a {
  color: inherit;
  text-decoration: none;
}

.breadcrumbCS {
  top: 70px;
}

.fc-red {
  color: #ff0000;
}

.desccontainer .leftGrid {
  width: 70%;
  height: 100%;
}

.desccontainer .rightGrid {
  width: 25%;
}

.desccontainer .leftGrid .productItem {
  text-align: justify;
}

.desccontainer .leftGrid .productItem h2 {
  font-size: 24px;
  color: #690900;
  margin-bottom: 10px;
}

.desccontainer .leftGrid .productItem ul {
  margin-bottom: 20px;
  margin-left: 20px;
  list-style-type: circle;
}

.desccontainer .leftGrid .productItem img {
  margin: 30px auto;
  display: block;
  height: 50%;
  width: 50%;
}

.points {
  list-style: square;
  margin: 10px 0 30px 20px;
  padding: 0;
}

.points li::marker {
  color: #d43426;
}

.productItem h3 {
  font-size: 18px;
  color: #d43426;
  margin: 10px 0 10px 0;
}

.productItem iframe {
  width: 384px;
  height: 216px;
  margin: 20px auto;
  display: block;
}

.productItem img {
  width: 384px;
  height: 216px;
  margin: 30px auto;
  display: block;
}

.basecard {
  display: flex;
  justify-content: center;
  height: 400px;
}

.card-container {
  display: inline-flex;
  flex-wrap: nowrap;
  overflow-x: auto;
  justify-content: flex-start;
  gap: 10px;
  margin: 20px 5px 20px 5px;
  /* background-color: #23527c; */
}

.card {
  justify-content: space-between;
  height: 300px;
  width: 250px;
  background-color: #fff;
  border: 1px solid #ddd;
  border-radius: 10px;
  padding: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.card h2 {
  margin-top: 0;
}

.card img {
  width: 100%;
  height: 150px;
  object-fit: cover;
  border-radius: 10px 10px 0 0;
}

.card a {
  text-decoration: none;
  color: #ffffff;
  margin-top: 5px;
  padding: 3px 10px 3px 10px;
  display: block;
  background-color: #337ab7;
  width: 75px;
}

.card a:hover {
  color: #23527c;
}

/* news */

.cardnews {
  width: 70%;
  margin-bottom: 20px;
  border-radius: 10px;
  border: 1px solid #ccc;
  padding: 10px;
}

.cardnews img {
  height: 100px;
  /* Tinggi gambar */
  width: 100%;
  object-fit: cover;
  /* Untuk menjaga aspek rasio */
  margin-bottom: 10px;
  /* Jarak bawah gambar */
}

.cardnews h2 {
  margin: 10px 0 10px 0;
  font-size: large;
}

.cardnews a {
  display: block;
  text-align: left;
  color: #ffffff;
  padding: 5px;
  border-radius: 5px;
  background-color: #2d689c;
  width: 50px;
}

.cardnews a:hover {
  color: #ffffff;
  background-color: #1e486d;
}

.sorting {
  float: right;
  /* Untuk meletakkan sorting di sebelah kanan */
}

#newsContainer #noNews {
  margin-top: -40px;
  margin-bottom: 30px;
}


/* detail news */

.containerNews {
  max-width: 1200px;
  margin: auto;
  display: block;
}

.detailNews {
  padding-top: 70px;
  height: auto;
  margin-bottom: 20px;
  display: block;
  margin-left: 10px;
  margin-right: 10px;
}

.detailNews img {
  width: 50%;
  /* height: 25%; */
  margin: 30px auto;
  display: block;
}

.containerNews h2 {
  font-size: 30px;
}

.containerNews h3 {
  font-size: 24px;
}

.detailNews ul li {
  margin: 0;
  padding: 0;
}

.detailNews li {
  margin-left: 20px;
}

.containerNews .detailNews p {
  text-align: justify;
  user-select: all;
  display: block;
}

.containerNews .detailNews .isiNews {
  margin: 20px 0 20px 0;
  user-select: all;
  display: block;
}

/* card news di home */

.containerCardNews {
  width: 100%;
  max-width: 1615px;
  /* background-color: #333; */
  font-family: Arial, sans-serif;
  position: relative;
}

.containerCardNews .main {
  /* background-color: aqua; */
  display: grid;
  grid-auto-flow: column;
  gap: 15px;
  overflow-x: auto;
  scroll-snap-type: x mandatory;
  /* scroll-behavior: smooth; */
  scrollbar-width: 0;
  padding: 10px;
  justify-content: space-between;
}

.main::-webkit-scrollbar {
  display: none;
}

.main .news-card {
  width: 350px;
  height: 390px;
  display: flex;
  flex-direction: column;
  border: 1px solid #ccc;
  border-radius: 10px;
  box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.1);
  padding: 20px;
  background-color: whitesmoke;
}

.main.dragging .news-card {
  cursor: grab;
  user-select: none;
}

.news-card h3 {
  font-size: 20px;
  color: #333;
  margin: 10px 0 10px 0;
}

.news-card p {
  font-size: 14px;
  color: #666;
  text-align: justify;
  margin: 10px 0;
}

.news-card img {
  width: 100%;
  height: 220px;
  object-fit: cover;
}

.news-card a {
  display: block;
  /*text-align: left;*/
  color: #2d689c;
  /*padding: 5px;*/
  /*border-radius: 5px;*/
  /*background-color: #2d689c;*/
  /*width: 90px;*/
}

.news-card a:hover {
  color: #1e486d;
  /*background-color: #1e486d;*/
}

/* Tambahkan CSS yang ada di file Anda sebelumnya */

.containerCardNews i {
  height: 50px;
  width: 50px;
  background-color: red;
  color: #ffffff;
  text-align: center;
  line-height: 50px;
  border-radius: 50%;
  cursor: pointer;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  box-shadow: 0 3px 5px rgba(0, 0, 0, 0.23);
  margin-left: 0px;
  margin-right: 0px;
}

.containerCardNews i:hover {
  background-color: rgb(139, 0, 0);
  color: #ffffff;
}

.containerCardNews i:first-child {
  left: -22px;
}

.containerCardNews i:last-child {
  right: -22px;
}

/* responsive */

/*responsive*/

@media (max-width: 1200px) {
  .title-banner {
    font-size: 50px;
    font-weight: bold;
  }
  .header .item-center {
    order: 3;
    flex: 0 0 100%;
  }
  .header .item-left,
  .header .item-right {
    flex: 0 0 auto;
  }
  .homedesc .leftGrid {
    padding: 0 10px 0 10px;
  }
  .v-center {
    justify-content: space-between;
  }
  .header .mobile-menu-trigger {
    display: flex;
    height: 30px;
    width: 30px;
    margin-left: 15px;
    cursor: pointer;
    align-items: center;
    justify-content: center;
  }
  .header .mobile-menu-trigger span {
    display: block;
    height: 2px;
    background-color: #333333;
    width: 24px;
    position: relative;
  }
  .header .mobile-menu-trigger span:before,
  .header .mobile-menu-trigger span:after {
    content: "";
    position: absolute;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #333333;
  }
  .header .mobile-menu-trigger span:before {
    top: -6px;
  }
  .header .mobile-menu-trigger span:after {
    top: 6px;
  }
  .header .item-right {
    align-items: center;
  }
  .header .menu {
    position: fixed;
    width: 320px;
    background-color: #ffffff;
    left: 0;
    top: 0;
    height: 100%;
    overflow: hidden;
    transform: translate(-100%);
    transition: all 0.5s ease;
    z-index: 1099;
  }
  .header .menu.active {
    transform: translate(0%);
  }
  .header .menu > ul > li {
    line-height: 1;
    margin: 0;
    display: block;
  }
  .header .menu > ul > li > a {
    line-height: 50px;
    height: 50px;
    padding: 0 50px 0 15px;
    display: block;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  }
  .header .menu > ul > li > a i {
    position: absolute;
    height: 50px;
    width: 50px;
    top: 0;
    right: 0;
    text-align: center;
    line-height: 50px;
    transform: rotate(-90deg);
  }
  .header .menu .mobile-menu-head {
    display: flex;
    height: 50px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    justify-content: space-between;
    align-items: center;
    position: relative;
    z-index: 501;
    position: sticky;
    background-color: #ffffff;
    top: 0;
  }
  .header .menu .mobile-menu-head .go-back {
    height: 50px;
    width: 50px;
    border-right: 1px solid rgba(0, 0, 0, 0.1);
    cursor: pointer;
    line-height: 50px;
    text-align: center;
    color: #000000;
    font-size: 16px;
    display: none;
  }
  .header .menu .mobile-menu-head.active .go-back {
    display: block;
  }
  .header .menu .mobile-menu-head .current-menu-title {
    font-size: 15px;
    font-weight: 500;
    color: #000000;
  }
  .header .menu .mobile-menu-head .mobile-menu-close {
    height: 50px;
    width: 50px;
    border-left: 1px solid rgba(0, 0, 0, 0.1);
    cursor: pointer;
    line-height: 50px;
    text-align: center;
    color: #000000;
    font-size: 25px;
  }
  .header .menu .menu-main {
    height: 100%;
    overflow-x: hidden;
    overflow-y: auto;
  }
  .header .menu > ul > li .sub-menu.mega-menu,
  .header .menu > ul > li .sub-menu {
    visibility: visible;
    opacity: 1;
    position: absolute;
    box-shadow: none;
    margin: 0;
    padding: 15px;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding-top: 65px;
    max-width: none;
    min-width: auto;
    display: none;
    transform: translateX(0%);
    overflow-y: auto;
  }
  .header .menu > ul > li .sub-menu.active {
    display: block;
  }
  @keyframes slideLeft {
    0% {
      opacity: 0;
      transform: translateX(100%);
    }
    100% {
      opacity: 1;
      transform: translateX(0%);
    }
  }
  @keyframes slideRight {
    0% {
      opacity: 1;
      transform: translateX(0%);
    }
    100% {
      opacity: 0;
      transform: translateX(100%);
    }
  }
  .header .menu > ul > li .sub-menu.mega-menu-column-4 > .list-item img {
    margin-top: 0;
  }
  .header .menu > ul > li .sub-menu.mega-menu-column-4 > .list-item.text-center .title {
    border-bottom: none;
    margin-bottom: 2px;
    height: 20px;
  }
  .header .menu > ul > li .sub-menu.mega-menu-column-4 > .list-item.text-center:last-child .title {
    margin-bottom: 5px;
  }
  .header .menu > ul > li .sub-menu.mega-menu-column-4 > .list-item {
    flex: 0 0 100%;
    padding: 0px;
    border-bottom: 2px solid gray;
    margin-bottom: 10px;
  }
  .header .menu > ul > li .sub-menu > ul > li > a,
  .header .menu > ul > li .sub-menu.mega-menu > .list-item > ul > li > a {
    display: block;
  }
  .header .menu > ul > li .sub-menu.mega-menu > .list-item > ul {
    margin-bottom: 15px;
  }
  .menu-overlay {
    position: fixed;
    background-color: rgba(0, 0, 0, 0.5);
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 1098;
    visibility: hidden;
    opacity: 0;
    transition: all 0.5s ease;
  }
  .menu-overlay.active {
    visibility: visible;
    opacity: 1;
  }
  .ourcompanycontainer {
    height: auto;
  }
  .containerCardNews {
    margin-left: 10px;
    margin-right: 10px;
  }
  .containerCardNews i {
    margin-left: 20px;
    margin-right: 20px;
  }
}

@media (max-width: 900px) {
  .header .item-left,
  .header .item-right {
    flex: 0 0 auto;
  }
}

/* Footer */

@media (max-width: 900px) {
  .footer {
    background-color: rgb(143, 0, 0);
    padding: 70px 0;
  }
  .footer-col {
    width: 50%;
    margin-bottom: 30px;
  }
}

@media (max-width: 574px) {
  .footer {
    background-color: rgb(143, 0, 0);
    padding: 70px 0;
  }
  .footer-col {
    width: 100%;
  }
  .header .logo a img {
    width: 180px;
  }
}

@media (max-width: 900px) {
  .title-banner {
    font-size: 40px;
    font-weight: bold;
  }
  /* Banner */
  .public-banner {
    text-align: center;
    position: relative;
    height: 473px;
    overflow: hidden;
    padding-top: 70px;
  }
  .public-banner .bd ul li {
    height: 100%;
  }
  .public-banner .text .text-pic,
  .public-banner .text .text-pic-left {
    right: 120px;
    width: 300px;
  }
}

@media (max-width: 900px) {
  /* Home Pages */
  .homedesc .leftGrid {
    width: 70%;
    height: 100%;
    padding: 0 10px 0 10px;
  }
  .homedesc .rightGrid {
    width: 25%;
    margin-top: 10px;
    padding: 0 10px 0 10px;
  }
  .homedesc .desccontainer {
    flex-direction: column;
  }
  .homedesc .leftGrid,
  .homedesc .rightGrid {
    width: 100%;
  }
}

@media (max-width: 900px) {
  /* Product-list */
  .product-names {
    width: 30%;
  }
  .product-description {
    width: 70%;
  }
  .product-description img,
  .product-description iframe {
    width: 100%;
  }
  .product-list {
    flex-direction: column;
  }
  .product-names,
  .product-description {
    width: 100%;
  }
}

@media (max-width: 900px) {
  /* Partner */
  .partnercontainer .title {
    font-size: 24px;
  }
  .partnercontainer .partner-logos img {
    height: 50px;
  }
  .ourcompanycontainer {
    margin-top: 40px;
  }
  .company .companycontainer {
    flex-direction: column;
  }
  .company .companycontainer .company-table,
  .company .companycontainer .companydesc {
    width: 100%;
  }
}

/* Untuk resolusi <= 900px */

@media only screen and (max-width: 900px) {
  .bannerproduct img {
    height: 300px;
  }
  .breadcrumb .container,
  .breadcrumb .container span,
  .breadcrumb .container a {
    font-size: small;
  }
  .supportcontent {
    flex-direction: column;
    align-items: center;
  }
  .supportcontent .leftGrid {
    width: 100%;
  }
  .supportcontent .rightGrid {
    width: 100%;
    margin-top: 20px;
  }
  .ourcompanycontainer {
    height: auto;
  }
  .company-logos > a > img {
    width: 200px;
    margin: 10px;
  }
  .contactcontainer .contact-base,
  .contactcontainer .contact-table {
    width: 100%;
    text-align: center;
    margin-bottom: 20px;
  }
  .contact ul li {
    width: 100%;
    text-align: center;
    margin: 0;
    padding: 20px;
  }
  .bannerproduct img {
    height: auto;
  }
  .bannerproduct .breadcrumb {
    padding: 5px;
  }
  .desccontainer {
    display: flex;
    flex-direction: column;
  }
  .desccontainer .leftGrid,
  .desccontainer .rightGrid {
    width: 100%;
    margin: 20px 0;
  }
  .productItem img,
  .productItem iframe {
    width: 100%;
    height: auto;
  }
  .basecard {
    display: inline-block;
    align-items: center;
    height: auto;
  }
  .card-container {
    flex: 0 0 auto;
    width: auto;
  }
}

/* Untuk resolusi <= 430px */

@media only screen and (max-width: 430px) {
  .header .menu {
    width: 100%;
  }
  .header .logo a img {
    width: 120px;
  }
  .public-local {
    height: 50px;
    margin-bottom: 20px;
    line-height: 50px;
    background-color: #e6e6e6e5;
  }
  .public-local,
  .public-local span,
  .public-local a {
    font-size: small;
  }
  .bannerproduct img {
    height: 250px;
  }
  .breadcrumb .container,
  .breadcrumb .container span,
  .breadcrumb .container a {
    font-size: 10px;
  }
  .supportcontent {
    flex-direction: column;
    align-items: center;
  }
  .supportcontent .leftGrid {
    width: 100%;
  }
  .supportcontent .rightGrid {
    width: 100%;
    margin-top: 20px;
  }
  .ourcompanycontainer {
    height: auto;
  }
  .company-logos > a > img {
    width: 150px;
    margin: 10px;
  }
  .company .companycontainer {
    flex-direction: column;
    align-items: center;
  }
  .company .companycontainer .companydesc {
    width: 100%;
    margin-top: 20px;
  }
  .company .companycontainer .company-table {
    width: 100%;
    margin-top: 20px;
  }
  .contactcontainer {
    flex-direction: column;
    align-items: center;
  }
  .contactcontainer .contact-base,
  .contactcontainer .contact-table {
    width: 100%;
    text-align: center;
    margin-bottom: 20px;
  }
  .contact ul li {
    width: 100%;
    text-align: center;
    margin: 0;
    padding: 20px;
  }
  .cardnews {
    width: 100%;
  }
  .cardnews h2 {
    font-size: small;
  }
  .sorting {
    float: none;
    /* Menghapus pengaturan float */
    text-align: center;
    /* Mengatur tata letak teks menjadi tengah */
    margin-bottom: 20px;
    /* Menambahkan margin bawah */
  }
  .desccontainer {
    display: flex;
    flex-direction: column;
  }
  .desccontainer .leftGrid,
  .desccontainer .rightGrid {
    width: 100%;
    margin: 20px 0;
  }
  .productItem img,
  .productItem iframe {
    width: 100%;
    height: auto;
  }
  .basecard {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    height: auto;
  }
  .card-container {
    flex: 0 0 auto;
    width: auto;
  }
}


